NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.DatumPlaneBuilder Class Reference

Represents a datum plane feature builder. More...

Inheritance diagram for NXOpen.Features.DatumPlaneBuilder:
NXOpen.Features.DatumBuilder NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  AlternateSolution {
  Tangent, Normal, Binormal, OppositeTangent,
  OppositeNormal, OppositeBinormal, Project, ProjectView
}
 Specifies the alternate solution for a datum plane using point on curve method More...
 
enum  ConstraintType {
  Undefined, Coincident, Parallel, Perpendicular,
  Center, Tangent, Distance, Angle,
  Frenet
}
 Specifies different constraint types of selected geometries More...
 
enum  CurveOption { Distance, Percent }
 Specifies the distance on the curve as absolute distance or relative distance as percentage More...
 
enum  FixedType { All, Xy, Yz, Zx }
 Specifies the fixed type datum plane going thru only one specific plane or thru all planes More...
 
enum  UseArcLength {
  NoPoint, FirstPoint, SecondPoint, ThirdPoint,
  FirstAndSecondPoint, FirstAndThirdPoint, SecondAndThirdPoint, AllPoints
}
 Specifies points for which arclength is to be used. More...
 

Public Member Functions

unsafe NXOpen.DatumPlane GetDatum ()
 The datum display object this is the feature output More...
 
unsafe NXOpen.Plane GetPlane ()
 The plane is use to create the feature More...
 
unsafe void SetCornerPoints (NXOpen.Point3d corner1, NXOpen.Point3d corner2, NXOpen.Point3d corner3, NXOpen.Point3d corner4)
 Sets corner points to builder More...
 
unsafe void SetFaceAndOffset (NXOpen.Face face, double offsetValue, string expression)
 Sets one face object and offset More...
 
unsafe void SetFixedDatumPlane (NXOpen.Features.DatumPlaneBuilder.FixedType type)
 Sets type of fixed datum plane. More...
 
unsafe void SetGeometryAndConstraints (NXOpen.DisplayableObject geometry1, NXOpen.Features.DatumPlaneBuilder.ConstraintType geometryConstraintType1, int constraintAttribute1, double constraintValue1, string constraint1, NXOpen.DisplayableObject geometry2, NXOpen.Features.DatumPlaneBuilder.ConstraintType geometryConstraintType2, int constraintAttribute2, double constraintValue2, string constraint2)
 Sets two different geometric objects. More...
 
unsafe void SetPointAndDirection (NXOpen.Point point, NXOpen.Direction direction)
 Sets point and direction More...
 
unsafe void SetPointOnCurve (double arcLength, string constraint, NXOpen.Features.DatumPlaneBuilder.AlternateSolution alternateSolution, NXOpen.Features.DatumPlaneBuilder.CurveOption option, NXOpen.ICurve curve)
 Sets curve or edge and arc length More...
 
unsafe void SetPointOnCurve (double arcLength, string constraint, NXOpen.Features.DatumPlaneBuilder.AlternateSolution alternateSolution, NXOpen.Features.DatumPlaneBuilder.CurveOption option, NXOpen.ICurve curve, NXOpen.Direction direction)
 Sets curve or edge and arc length More...
 
unsafe void SetPointOnCurve (double arcLength, string constraint, NXOpen.Features.DatumPlaneBuilder.CurveOption option, NXOpen.ICurve curve, NXOpen.DisplayableObject secondGeometry)
 Sets curve or edge object and arc length with other geometry selected. More...
 
unsafe void SetThreePoints (NXOpen.Point point1, NXOpen.Point point2, NXOpen.Point point3, NXOpen.Features.DatumPlaneBuilder.UseArcLength useArcLength)
 Sets three different points. More...
 
unsafe NXOpen.Features.Feature UpdateFeature ()
 Update the feature if the feature does not exist then create it More...
 
- Public Member Functions inherited from NXOpen.Features.DatumBuilder
unsafe NXOpen.DatumConstraint CreateConstraint ()
 Creates a new empty constraint object. More...
 
unsafe NXOpen.DatumConstraint[] GetConstraints ()
 Gets the contraint objects that define the positioning of this datum. More...
 
unsafe void SetConstraints (NXOpen.DatumConstraint[] constraints)
 Sets the contraint objects that define the positioning of this datum. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool OffsetInstance [get, set]
 Returns or sets the offset instance plane flag More...
 
unsafe bool ResizeDuringUpdate [get, set]
 Returns or sets the resize during update More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a datum plane feature builder.

Provides methods to create datum planes thru three points, point and direction and point on curve

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateDatumPlaneBuilder

Created in NX3.0.0

Member Enumeration Documentation

Specifies the alternate solution for a datum plane using point on curve method

Enumerator
Tangent 

Indicates the datum plane as tangent to curve

Normal 

Datum plane at normal to curve

Binormal 

Datum plane at binormal to curve

OppositeTangent 

Datum plane at opposite to tangent to curve

OppositeNormal 

Datum plane at opposite to normal to curve

OppositeBinormal 

Datum plane at opposite to binormal to curve

Project 

This direction is calculated by projecting a point selected along a curve to a line, a datum axis, an edge of a solid, a planar face or a datum plane

ProjectView 

Datum plane direction is calculated during creation based on the view plane.

The datum plane normal is projected onto the view plane during creation time. The datum plane normal is maintained constant thereafter

Specifies different constraint types of selected geometries

Enumerator
Undefined 

Not defined

Coincident 

Coincident constraint

Parallel 

Parallel constraint

Perpendicular 

Perpendicular constraint

Center 

Center constraint

Tangent 

Tangent constraint

Distance 

Distance constraint

Angle 

Angle constraint

Frenet 

Frenet constraint

Specifies the distance on the curve as absolute distance or relative distance as percentage

Enumerator
Distance 

Absolute distance.

Percent 

Relative distance as percentage.

Specifies the fixed type datum plane going thru only one specific plane or thru all planes

Enumerator
All 

Fixed datum plane thru all planes

Xy 

Fixed datum plane thru XY plane

Yz 

Fixed datum plane thru YZ plane

Zx 

Fixed datum plane thru ZX plane

Specifies points for which arclength is to be used.

Percentage of arclength is used for points for which arclength option is not selected. Specified for creation of datum plane using thru three points method.

Enumerator
NoPoint 

All points use percentage of arclength

FirstPoint 

Only first point uses arclength

SecondPoint 

Only second point uses arclength

ThirdPoint 

Only third point uses arclength

FirstAndSecondPoint 

Only first and second point use arclength

FirstAndThirdPoint 

Only first and third point use arclength

SecondAndThirdPoint 

Only second and third point use arclength

AllPoints 

All points use arclength

Member Function Documentation

unsafe NXOpen.DatumPlane NXOpen.Features.DatumPlaneBuilder.GetDatum ( )
inline

The datum display object this is the feature output

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Returns
unsafe NXOpen.Plane NXOpen.Features.DatumPlaneBuilder.GetPlane ( )
inline

The plane is use to create the feature

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Returns
unsafe void NXOpen.Features.DatumPlaneBuilder.SetCornerPoints ( NXOpen.Point3d  corner1,
NXOpen.Point3d  corner2,
NXOpen.Point3d  corner3,
NXOpen.Point3d  corner4 
)
inline

Sets corner points to builder

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
corner1
corner2
corner3
corner4
unsafe void NXOpen.Features.DatumPlaneBuilder.SetFaceAndOffset ( NXOpen.Face  face,
double  offsetValue,
string  expression 
)
inline

Sets one face object and offset

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
faceFace object
offsetValueOffset double parameter
expressionOffset string parameter
unsafe void NXOpen.Features.DatumPlaneBuilder.SetFixedDatumPlane ( NXOpen.Features.DatumPlaneBuilder.FixedType  type)
inline

Sets type of fixed datum plane.

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
typeIndicates fixed datum plane type
unsafe void NXOpen.Features.DatumPlaneBuilder.SetGeometryAndConstraints ( NXOpen.DisplayableObject  geometry1,
NXOpen.Features.DatumPlaneBuilder.ConstraintType  geometryConstraintType1,
int  constraintAttribute1,
double  constraintValue1,
string  constraint1,
NXOpen.DisplayableObject  geometry2,
NXOpen.Features.DatumPlaneBuilder.ConstraintType  geometryConstraintType2,
int  constraintAttribute2,
double  constraintValue2,
string  constraint2 
)
inline

Sets two different geometric objects.

Possible combinations are:

  • If first constrain is Through Datum Axis, then the second contraint can be:
    • Through Axis Through Edge
    • Linear Geometry Through Face Axis Through Point Angle to Plane
  • If first constrain is Through Solid Edge and Linear Geometry, then the second contraint can be:
    • Through Axis Through Edge
    • Linear Geometry Through Face Axis Through Point Angle to Plane
  • If first constrain is Through Face Axis, then the second contraint can be:
    • Through Axis Through Edge
    • Linear Geometry Through Face Axis Through Point Angle to Plane
  • If first constrain is Through Point, then the second contraint can be:
    • Through Axis Through Edge
    • Linear Geometry Parallel to Plane Perpendicular to Curve Parallel to Surface's Tangent Plane
  • If first constrain is Angle to Plane, then the second contraint can be:
    • Through Axis Through Edge
    • Linear Geometry Through Face Axis
  • If first constrain is Tangent to Face, then the second contraint can be:
    • Through Point Angle to Plane
    • 0 Deg Angle to Plane
    • 90 Deg Tangent to Face
  • If first constrain is Through Curve, then the second contraint can be:

    • Through Point Perpendicular to View Plane

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
geometry1First geometric object
geometryConstraintType1Constraint type of first geometry
constraintAttribute1Constraint attribute value of first geometry
constraintValue1Constraint value parameter of first geometry
constraint1Constraint attached with first geometric object. Set to "0.0" in case value is not specified
geometry2Second geometric object
geometryConstraintType2Constraint type of first geometry
constraintAttribute2Constraint attribute value of second geometry
constraintValue2Constraint value parameter of second geometry
constraint2Constraint attached with second geometric object. Set to "0.0" in case value is not specified
unsafe void NXOpen.Features.DatumPlaneBuilder.SetPointAndDirection ( NXOpen.Point  point,
NXOpen.Direction  direction 
)
inline

Sets point and direction

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
pointPoint
directionDirection
unsafe void NXOpen.Features.DatumPlaneBuilder.SetPointOnCurve ( double  arcLength,
string  constraint,
NXOpen.Features.DatumPlaneBuilder.AlternateSolution  alternateSolution,
NXOpen.Features.DatumPlaneBuilder.CurveOption  option,
NXOpen.ICurve  curve 
)
inline

Sets curve or edge and arc length

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
arcLengthArc length
constraintConstraint expression. Usually same as arc_length
alternateSolutionAlternate solution
optionAbsolute distance or relative distance
curvecurve or edge
unsafe void NXOpen.Features.DatumPlaneBuilder.SetPointOnCurve ( double  arcLength,
string  constraint,
NXOpen.Features.DatumPlaneBuilder.AlternateSolution  alternateSolution,
NXOpen.Features.DatumPlaneBuilder.CurveOption  option,
NXOpen.ICurve  curve,
NXOpen.Direction  direction 
)
inline

Sets curve or edge and arc length

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
arcLengthArc length
constraintConstraint expression. Usually same as arc_length
alternateSolutionAlternate solution
optionAbsolute distance or relative distance
curveCurve or edge
directionDirection
unsafe void NXOpen.Features.DatumPlaneBuilder.SetPointOnCurve ( double  arcLength,
string  constraint,
NXOpen.Features.DatumPlaneBuilder.CurveOption  option,
NXOpen.ICurve  curve,
NXOpen.DisplayableObject  secondGeometry 
)
inline

Sets curve or edge object and arc length with other geometry selected.

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
arcLengthArc length
constraintConstraint expression. Usually same as arc_length
optionWhether the absolute distance has been selected or relative
curveCurve or Edge object already created
secondGeometrySecond geometric object
unsafe void NXOpen.Features.DatumPlaneBuilder.SetThreePoints ( NXOpen.Point  point1,
NXOpen.Point  point2,
NXOpen.Point  point3,
NXOpen.Features.DatumPlaneBuilder.UseArcLength  useArcLength 
)
inline

Sets three different points.

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
point1First point
point2Second point
point3Third point
useArcLengthSpecify points which use arclength instead of percentage of arclength
unsafe NXOpen.Features.Feature NXOpen.Features.DatumPlaneBuilder.UpdateFeature ( )
inline

Update the feature if the feature does not exist then create it

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Returns

Property Documentation

unsafe bool NXOpen.Features.DatumPlaneBuilder.OffsetInstance
getset

Returns or sets the offset instance plane flag

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe bool NXOpen.Features.DatumPlaneBuilder.ResizeDuringUpdate
getset

Returns or sets the resize during update

Created in NX8.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.